﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;
using System.ComponentModel;
using System.Collections.ObjectModel;

using Infragistics.Windows.DataPresenter.Events;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridMultiIconField
{
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            dg.DataSource = null;
            dg.DataSource= new People();
        }       
    }

    public class ContactTypeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            ObservableCollection<Image> contactValues = new ObservableCollection<Image>();
            Person.ContactType contactType = (Person.ContactType)value;
            if ((contactType & Person.ContactType.Contact) == Person.ContactType.Contact)
            {
                contactValues.Add(new Image { Source = new BitmapImage(new Uri("pack://application:,,,/" + @"Assets\Autumn Leaves.jpg")) });
            }
            if ((contactType & Person.ContactType.Customer) == Person.ContactType.Customer)
            {
                contactValues.Add(new Image { Source = new BitmapImage(new Uri("pack://application:,,,/" + @"Assets\Cabo.jpg")) });
            }
            if ((contactType & Person.ContactType.Manufacturer) == Person.ContactType.Manufacturer)
            {
                contactValues.Add(new Image { Source = new BitmapImage(new Uri("pack://application:,,,/" + @"Assets\Green Sea Turtle.jpg")) });
            }
            return contactValues;
        }
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return null;
        }

    }
}